file(GLOB_RECURSE SOURCE_FILES Source/*.c)
set(CJSON_SOURCE "$ENV{IDF_PATH}/components/json/cJSON/cJSON.c")

idf_component_register(
    SRCS ${SOURCE_FILES} ${CJSON_SOURCE}
    INCLUDE_DIRS Source "$ENV{IDF_PATH}/components/json/cJSON"
    REQUIRES TactilitySDK
)
